> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daya.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active Orders

> List active orders for the authenticated user

## Overview

Retrieve a list of active orders for the authenticated user. Active orders include orders that are still being processed or waiting to be filled. For historical/completed orders, use the [Order History](/pro/api-reference/get-order-history) endpoint.

**Active order statuses:** `pending_settlement`, `new`, `open`, `partially_filled`

## Authentication

<ParamField header="X-Api-Key" type="string" required>
  Your API key with Read or Trade scope

  ```
  X-Api-Key: daya_sk_YOUR_API_KEY
  ```
</ParamField>

## Query Parameters

<ParamField query="symbol" type="string">
  Filter by trading pair symbol

  **Example:** `USDT-NGN`
</ParamField>

<ParamField query="status" type="string">
  Filter by active order status

  **Allowed values:** `pending_settlement`, `new`, `open`, `partially_filled`
</ParamField>

## Request Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.pro.daya.co/public/v1/orders?symbol=USDT-NGN&status=open' \
    --header 'X-Api-Key: daya_sk_YOUR_API_KEY'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.pro.daya.co/public/v1/orders?symbol=USDT-NGN&status=open',
    {
      headers: { 'X-Api-Key': 'daya_sk_YOUR_API_KEY' }
    }
  );

  const data = await response.json();
  console.log('Active orders:', data.data);
  ```

  ```python Python theme={null}
  import requests

  headers = {'X-Api-Key': 'daya_sk_YOUR_API_KEY'}

  response = requests.get(
      'https://api.pro.daya.co/public/v1/orders',
      headers=headers,
      params={'symbol': 'USDT-NGN', 'status': 'open'}
  )

  orders = response.json()
  print(f"Active orders: {orders['data']}")
  ```

  ```go Go theme={null}
  package main

  import (
      "encoding/json"
      "fmt"
      "net/http"
  )

  func main() {
      req, _ := http.NewRequest("GET", "https://api.pro.daya.co/public/v1/orders?symbol=USDT-NGN&status=open", nil)
      req.Header.Set("X-Api-Key", "daya_sk_YOUR_API_KEY")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      var result map[string]interface{}
      json.NewDecoder(resp.Body).Decode(&result)
      fmt.Println("Active orders:", result["data"])
  }
  ```
</CodeGroup>

## Response

<ResponseField name="success" type="boolean" required>
  Indicates if the request was successful
</ResponseField>

<ResponseField name="message" type="string" required>
  Human-readable response message
</ResponseField>

<ResponseField name="data" type="array" required>
  Array of active order objects

  <Expandable title="order properties">
    <ResponseField name="id" type="string">
      Unique order identifier (UUID)
    </ResponseField>

    <ResponseField name="user_id" type="string">
      User identifier
    </ResponseField>

    <ResponseField name="symbol" type="string">
      Trading pair symbol
    </ResponseField>

    <ResponseField name="side" type="string">
      Order side: `buy` or `sell`
    </ResponseField>

    <ResponseField name="type" type="string">
      Order type: `limit` or `market`
    </ResponseField>

    <ResponseField name="status" type="string">
      Order status: `pending_settlement`, `new`, `open`, `partially_filled`
    </ResponseField>

    <ResponseField name="price" type="string">
      Order price (for limit orders)
    </ResponseField>

    <ResponseField name="quantity" type="string">
      Original order quantity
    </ResponseField>

    <ResponseField name="filled_quantity" type="string">
      Quantity that has been filled
    </ResponseField>

    <ResponseField name="remaining_quantity" type="string">
      Remaining quantity to fill
    </ResponseField>

    <ResponseField name="executed_price" type="string">
      Average execution price
    </ResponseField>

    <ResponseField name="total_value" type="string">
      Total order value in quote currency
    </ResponseField>

    <ResponseField name="filled_value" type="string">
      Value of filled portion
    </ResponseField>

    <ResponseField name="base_currency" type="string">
      Base currency code (e.g. `USD`)
    </ResponseField>

    <ResponseField name="quote_currency" type="string">
      Quote currency code (e.g. `NGN`)
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 creation timestamp
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      ISO 8601 last update timestamp
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="timestamp" type="string">
  ISO 8601 timestamp of the response
</ResponseField>

### Success Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "success": true,
    "message": "Orders retrieved successfully",
    "data": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "user_id": "user_abc123",
        "symbol": "USD-NGN",
        "side": "buy",
        "type": "limit",
        "status": "open",
        "price": "1545.00",
        "quantity": "100.00000000",
        "filled_quantity": "0.00000000",
        "remaining_quantity": "100.00000000",
        "executed_price": "",
        "total_value": "154500.00",
        "filled_value": "0.00",
        "base_currency": "USD",
        "quote_currency": "NGN",
        "created_at": "2024-01-15T10:35:00Z",
        "updated_at": "2024-01-15T10:35:00Z"
      },
      {
        "id": "550e8400-e29b-41d4-a716-446655440001",
        "user_id": "user_abc123",
        "symbol": "USD-NGN",
        "side": "sell",
        "type": "limit",
        "status": "partially_filled",
        "price": "1548.00",
        "quantity": "200.00000000",
        "filled_quantity": "75.00000000",
        "remaining_quantity": "125.00000000",
        "executed_price": "1548.00",
        "total_value": "309600.00",
        "filled_value": "116100.00",
        "base_currency": "USD",
        "quote_currency": "NGN",
        "created_at": "2024-01-15T09:20:00Z",
        "updated_at": "2024-01-15T10:15:00Z"
      }
    ],
    "timestamp": "2024-01-15T10:35:00Z"
  }
  ```
</ResponseExample>

## Error Responses

<ResponseExample>
  ```json 401 Unauthorized theme={null}
  {
    "success": false,
    "message": "Unauthorized",
    "error": {
      "code": "API_KEY_INVALID",
      "message": "The provided API key is invalid"
    },
    "timestamp": "2024-01-15T10:35:00Z"
  }
  ```

  ```json 400 Bad Request - Invalid status theme={null}
  {
    "success": false,
    "message": "Validation error",
    "error": {
      "code": "VALIDATION_ERROR",
      "message": "Invalid status value"
    },
    "timestamp": "2024-01-15T10:35:00Z"
  }
  ```
</ResponseExample>

## Rate Limits

* **100 requests per minute** per API key

## Next Steps

<CardGroup cols={2}>
  <Card title="Order History" icon="clock-rotate-left" href="/pro/api-reference/get-order-history">
    Get historical/completed orders
  </Card>

  <Card title="Get Order" icon="magnifying-glass" href="/pro/api-reference/get-order">
    Get details of a specific order
  </Card>

  <Card title="Cancel Order" icon="xmark" href="/pro/api-reference/cancel-order">
    Cancel an open order
  </Card>

  <Card title="Place Order" icon="plus" href="/pro/api-reference/place-order">
    Place a new order
  </Card>
</CardGroup>
